RedWord - Bug #2296

Automated theme scanning failed
24 May 2014 19:54 - Andriy Lesyuk

Status: Closed Start date: 24 May 2014
Priority: Normal Due date: 27 May 2014
Assignee: Andriy Lesyuk % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1.0b

Description

This should be fixed before upload:

= REQUIRED:.gallery-caption css class is needed in your theme css.

= REQUIRED:.bypostauthor css class is needed in your theme css.
Text domain problems

in taxonomy.php. You have not included a text domain!

in tag.php. You have not included a text domain!

in post_tags.php. You have not included a text domain!

in page.php. You have not included a text domain!

in landing-page.php. You have not included a text domain!
in functions.php. You have not included a text domain!

in content.php. You have not included a text domain!

in comment.php. You have not included a text domain!

in child_pages.php. You have not included a text domain!
in category.php. You have not included a text domain!

in author.php. You have not included a text domain!

= WARNING: The flexible-width and fixed-width tags changed to fluid-layout and fixed-layout tags in WordPress 3.8. Additionally, the
responsive-layout tag was added. Please change to using one of the new tags.
= REQUIRED: No content width has been defined. Example:

if { ! isset| Scontent width | ) $Scontent width = S00:

= REQUIRED: Could not find wp_link_pages. See: wp_link_pages

<?php wp_link pages( Sargs ):; 2>

= RECOMMENDED: could not find the file readme.txt in the theme. Please see Theme_Documentation for more information.

» RECOMMENDED: Possible variable $this found in translation function in post_tags.php. Translation function calls must NOT
contain PHF variables.

= RECOMMENDED: Possible variable $this found in translation function in child_pages.php. Translation function calls must NOT
contain PHF variables.

= RECOMMENDED: Possible variable $instance found in translation function in post_tags.php. Translation function calls must NOT
contain PHP variables.

» RECOMMENDED: Possible variable $instance found in translation function in child_pages.php. Translation function calls must
MNOT contain PHP variables.

= RECOMMENDED: Mo reference to add_theme_support( "custom-header", $args ) was found in the theme. It is recommended
that the theme implement this functionality if using an image for the header.

» RECOMMENDED: Mo reference to add_theme_support( "custom-background”, $args ) was found in the theme. If the theme
uses background images or solid colors for the background, then it is recommended that the theme implement this functionality.

= RECOMMENDED: Mo reference to add_editor_style() was found in the theme. It is recommended that the theme implement

editor styling, so as to make the editor content match the resulting post output in the theme, for a better user experience.

Associated revisions
Revision 37 - 25 May 2014 08:51 - Andriy Lesyuk
Styled gallery and post comment, added textdomain (#2296)

Revision 39 - 27 May 2014 08:59 - Andriy Lesyuk
Added readme.txt (#2296)

History

#1 - 25 May 2014 11:22 - Andriy Lesyuk
- % Done changed from 0 to 30

#2 - 25 May 2014 11:22 - Andriy Lesyuk

- Status changed from Open to In Progress

#3 - 25 May 2014 13:28 - Andriy Lesyuk
- % Done changed from 30 to 70

#4 - 27 May 2014 09:00 - Andriy Lesyuk
- Due date set to 27 May 2014
- Status changed from In Progress to Closed

- % Done changed from 70 to 100
